Intermittent browser_perf-overview-render-01.js,browser_perf-overview-render-02.js,browser_perf-overview-render-03.js | This test exceeded the timeout threshold. It should be rewritten or split up.

RESOLVED FIXED in Firefox 41

Status

()

Firefox
Developer Tools: Performance Tools (Profiler/Timeline)
RESOLVED FIXED
3 years ago
2 years ago

People

(Reporter: RyanVM, Unassigned)

Tracking

({intermittent-failure})

unspecified
Firefox 41
x86
Linux
intermittent-failure
Points:
---
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(firefox39 unaffected, firefox40 unaffected, firefox41 fixed, firefox-esr31 unaffected, firefox-esr38 unaffected)

Details

Started after bug 1168125 landed.

19:25:22 INFO - 4541 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The selection should still not be enabled for the memory overview (1).
19:25:22 INFO - 4542 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The selection should still not be enabled for the memory overview (2).
19:25:22 INFO - 4543 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The memory overview still shouldn't have a selection before recording.
19:25:22 INFO - 4544 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The record button should already be checked.
19:25:22 INFO - 4545 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The record button should not be locked yet.
19:25:22 INFO - 4546 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The record button should not be checked.
19:25:22 INFO - 4547 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The record button should be locked.
19:25:22 INFO - 4548 INFO Waiting for event: 'Performance:UI:StateChanged' on [object PerformanceView]
19:25:22 INFO - 4549 INFO Received event: 'Performance:UI:StateChanged' on [object PerformanceView]
19:25:22 INFO - 4550 INFO Waiting for event: 'Performance:UI:OverviewRendered' on [object OverviewView]
19:25:22 INFO - 4551 INFO Received event: 'Performance:UI:OverviewRendered' on [object OverviewView]
19:25:22 INFO - 4552 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The current state is 'recorded'.
19:25:22 INFO - 4553 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The record button should not be checked.
19:25:22 INFO - 4554 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The record button should not be locked.
19:25:22 INFO - 4555 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The selection should now be enabled for the framerate overview.
19:25:22 INFO - 4556 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The selection should now be enabled for the markers overview.
19:25:22 INFO - 4557 INFO TEST-PASS | browser/devtools/performance/test/browser_perf-overview-render-02.js | The selection should now be enabled for the memory overview.
19:25:22 INFO - 4558 INFO Destroying the performance tool.
19:25:22 INFO - 4559 INFO Removing tab.
19:25:22 INFO - 4560 INFO Tab removed and finished closing.
19:25:22 INFO - 4561 INFO finish() was called, cleaning up...
19:25:22 INFO - 4562 INFO TEST-UNEXPECTED-FAIL | browser/devtools/performance/test/browser_perf-overview-render-02.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. - expected PASS
19:25:22 INFO - MEMORY STAT vsize after test: 687046656
19:25:22 INFO - MEMORY STAT residentFast after test: 208863232
19:25:22 INFO - MEMORY STAT heapAllocated after test: 94074620
19:25:22 INFO - 4563 INFO TEST-OK | browser/devtools/performance/test/browser_perf-overview-render-02.js | took 50402ms
Flags: needinfo?(vporof)
Comment hidden (Treeherder Robot)
https://hg.mozilla.org/integration/fx-team/rev/6a903f7f918b
Flags: needinfo?(vporof)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
https://hg.mozilla.org/mozilla-central/rev/6a903f7f918b
Assignee: nobody → vporof
Status: NEW → RESOLVED
Last Resolved: 3 years ago
status-firefox41: --- → fixed
Flags: in-testsuite-
Resolution: --- → FIXED
Target Milestone: --- → Firefox 41
status-firefox39: --- → unaffected
status-firefox40: --- → unaffected
status-firefox-esr31: --- → unaffected
status-firefox-esr38: --- → unaffected
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Summary: Intermittent browser_perf-overview-render-02.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. → Intermittent browser_perf-overview-render-01.js,browser_perf-overview-render-02.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort.
Assignee: vporof → nobody
Summary: Intermittent browser_perf-overview-render-01.js,browser_perf-overview-render-02.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. → Intermittent browser_perf-overview-render-01.js,browser_perf-overview-render-02.js,browser_perf-overview-render-03.js | This test exceeded the timeout threshold. It should be rewritten or split up.

Comment 9

2 years ago
31 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 19
* mozilla-central: 4
* try: 3
* fx-team: 3
* b2g-inbound: 2

Platform breakdown:
* linux32: 29
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1169257&startday=2016-01-18&endday=2016-01-24&tree=all

Comment 10

2 years ago
28 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 20
* fx-team: 5
* try: 1
* mozilla-central: 1
* b2g-inbound: 1

Platform breakdown:
* linux32: 18
* linux64: 9
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1169257&startday=2016-01-25&endday=2016-01-31&tree=all

Comment 11

2 years ago
12 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* try: 3
* fx-team: 2
* mozilla-central: 1
* b2g-inbound: 1

Platform breakdown:
* linux64: 11
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1169257&startday=2016-02-01&endday=2016-02-07&tree=all

Comment 12

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 3
* try: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1169257&startday=2016-02-08&endday=2016-02-14&tree=all
Might be fixed now that the patch in bug 1245886 has landed. Triaging this for now, filter on ORANGENGESCHMACK, if it reoccurs please reopen or file a new bug.
Status: REOPENED → RESOLVED
Last Resolved: 3 years ago2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.